Interrupt List, part 4 of 11 ( ***** partial list! *****)
This compilation is Copyright (c) 1989,1990,1991,1992,1993,1994 Ralf Brown
--------C-06---------------------------------
INT 06 - CPU-generated (80286+) - INVALID OPCODE
Desc:	this interrupt is generated when the CPU attempts to execute an
...
--------C-07---------------------------------
INT 07 - CPU-generated (80286+) - PROCESSOR EXTENSION NOT AVAILABLE
Desc:	this interrupt is automatically called if a coprocessor instruction is
	  encountered when no coprocessor is installed
...
--------H-08---------------------------------
INT 08 - IRQ0 - SYSTEM TIMER
Desc:	generated 18.2 times per second by channel 0 of the 8254 system timer,
	  this interrupt is used to keep the time-of-day clock updated
...
--------H-09---------------------------------
INT 09 - IRQ1 - KEYBOARD DATA READY
Desc:	this interrupt is generated when data is received from the keyboard.
...
--------H-0A---------------------------------
INT 0A - IRQ2 - LPT2 (PC), VERTICAL RETRACE INTERRUPT (EGA,VGA)
Notes:	the TOPS and PCnet adapters use this interrupt request line by default
	DOS 3.2 revectors IRQ2 to a stack-switching routine
...
--------H-0B---------------------------------
INT 0B - IRQ3 - SERIAL COMMUNICATIONS (COM2)
Desc:	automatically asserted by the UART when COM2 needs attention, if the
	  UART has been programmed to generate interrupts
...
--------H-0C---------------------------------
INT 0C - IRQ4 - SERIAL COMMUNICATIONS (COM1)
Desc:	automatically asserted by the UART when COM1 needs attention, if the
	  UART has been programmed to generate interrupts
...
--------H-0D---------------------------------
INT 0D - IRQ5 - FIXED DISK (PC,XT), LPT2 (AT), reserved (PS/2)
Notes:	under DESQview, only the INT 15h vector and BASIC segment address (the
	  word at 0000h:0510h) may be assumed to be valid for the handler's
	  process
...
--------H-0E---------------------------------
INT 0E - IRQ6 - DISKETTE CONTROLLER
Desc:	this interrupt is generated by the floppy disk controller on
	  completion of an operation
...
--------H-0F---------------------------------
INT 0F - IRQ7 - PARALLEL PRINTER
Desc:	this interrupt is generated by the LPT1 printer adapter when the
	  printer becomes ready
...
--------C-10---------------------------------
INT 10 - CPU-generated (80286+) - COPROCESSOR ERROR
Desc:	this interrupt is generated by the CPU when the -ERROR pin is asserted
	  by the coprocessor
...
--------C-11---------------------------------
INT 11 - CPU-generated (80486+) - ALIGNMENT CHECK
Desc:	automatically generated by the CPU when the AC flag is set
...
--------B-1F---------------------------------
INT 1F - SYSTEM DATA - 8x8 GRAPHICS FONT
Desc:	this vector points at 1024 bytes of graphics data, 8 bytes for each
	  character 80h-FFh
...
--------D-20---------------------------------
INT 20 - DOS 1+ - TERMINATE PROGRAM
	CS = PSP segment
...
--------D-2126-------------------------------
INT 21 - DOS 1+ - CREATE NEW PROGRAM SEGMENT PREFIX
	AH = 26h
	DX = segment at which to create PSP (see #0498)
Notes:	new PSP is updated with memory size information; INTs 22h, 23h, 24h
	  taken from interrupt vector table; the parent PSP field is set to 0
	(DOS 2+) DOS assumes that the caller's CS is the segment of the PSP to
	  copy
SeeAlso: AH=4Bh,AH=50h,AH=51h,AH=55h,AH=62h,AH=67h

Format of Program Segment Prefix (PSP):
Offset	Size	Description	(Table 0498)
 00h  2 BYTEs	INT 20 instruction for CP/M CALL 0 program termination
		the CDh 20h here is often used as a signature for a valid PSP
...
 2Ch	WORD	DOS 2+ segment of environment for process (see #0499)
...

Format of environment block:
Offset	Size	Description	(Table 0499)
 00h  N BYTEs	first environment variable, ASCIZ string of form "var=value"
      N BYTEs	second environment variable, ASCIZ string
	...
      N BYTEs	last environment variable, ASCIZ string of form "var=value"
	BYTE	00h
---DOS 3+---
	WORD	number of strings following environment (normally 1)
      N BYTEs	ASCIZ full pathname of program owning this environment
		other strings may follow
--------D-2138-------------------------------
INT 21 - DOS 2+ - GET COUNTRY-SPECIFIC INFORMATION
	AH = 38h
--DOS 2.x--
	AL = 00h get current-country info
	DS:DX -> buffer for returned info (see #0517,#0518)
...

Format of DOS 2.00-2.10 country info:
Offset	Size	Description	(Table 0517)
 00h	WORD	date format  0 = USA	mm dd yy
			     1 = Europe dd mm yy
			     2 = Japan	yy mm dd
...

Format of DOS 2.11+ country info:
Offset	Size	Description	(Table 0518)
 00h	WORD	date format (see #0517)
 02h  5 BYTEs	ASCIZ currency symbol string
 07h  2 BYTEs	ASCIZ thousands separator
...

(Table 0519)
Values for country code:
 001h	United States
 002h	Canadian-French
 003h	Latin America
 01Fh	Netherlands
...
--------D-2138--DXFFFF-----------------------
INT 21 - DOS 3+ - SET COUNTRY CODE
	AH = 38h
	DX = FFFFh
	AL = 01h thru FEh for specific country with code <255
	AL = FFh for specific country with code >= 255
	   BX = 16-bit country code (see #0519)
Return: CF set on error
	    AX = error code (see #0770 at AH=59h)
	CF clear if successful
Note:	not supported by OS/2
SeeAlso: INT 2F/AX=1403h
--------!---Section--------------------------
Interrupt List, part 5 of 11
This compilation is Copyright (c) 1989,1990,1991,1992,1993,1994 Ralf Brown
--------D-214B-------------------------------
INT 21 - DOS 2+ - "EXEC" - LOAD AND/OR EXECUTE PROGRAM
	AH = 4Bh
...
	ES:BX -> parameter block (see #0687)
...

Format of EXEC parameter block for AL=00h,01h,04h:
Offset	Size	Description	(Table 0687)
 00h	WORD	segment of environment to copy for child process (copy caller's
		  environment if 0000h)
...

Format of EXEC parameter block for AL=03h:
Offset	Size	Description	(Table 0688)
 00h	WORD	segment at which to load overlay
 02h	WORD	relocation factor to apply to overlay if in .EXE format

Format of EXEC parameter block for FlashTek X-32:
Offset	Size	Description	(Table 0689)
 00h	PWORD	48-bit far pointer to environment string
 06h	PWORD	48-bit far pointer to command tail string

(Table 0690)
Values for the executable types understood by various environments:
 MZ	old-style DOS executable
...

Format of .EXE file header:
Offset	Size	Description	(Table 0691)
 00h  2 BYTEs	.EXE signature, either "MZ" or "ZM" (5A4Dh or 4D5Ah)
 02h	WORD	number of bytes in last 512-byte page of executable
...

Format of ROM Module Header:
Offset	Size	Description	(Table 0692)
 00h  2 BYTEs	ROM signature 55h, AAh
 02h	BYTE	size of ROM in 512-byte blocks
...

Format of new executable header:
Offset	Size	Description	(Table 0693)
 00h  2 BYTEs	"NE" (4Eh 45h) signature
 02h  2 BYTEs	linker version (major, then minor)
...
 0Ch	BYTE	program flags (see #0694)
 0Dh	BYTE	application flags (see #0695)
...

Bitfields for new executable program flags:
Bit(s)	Description	(Table 0694)
 0-1	DGROUP type
	  0 = none
	  1 = single shared
	  2 = multiple (unshared)
	  3 = (null)
...

Bitfields for new executable application flags:
Bit(s)	Description	(Table 0695)
 0-2	application type
	001 full screen (not aware of Windows/P.M. API)
	010 compatible with Windows/P.M. API
	011 uses Windows/P.M. API
...

Bitfields for other new .EXE flags:
Bit(s)	Description	(Table 0696)
 0	supports long filenames
 1	2.X protected mode
 2	2.X proportional font
 3	gangload area

Format of Codeview trailer (at end of executable):
Offset	Size	Description	(Table 0697)
 00h	WORD	signature 4E42h ('NB')
 02h	WORD	Microsoft debug info version number
 04h	DWORD	Codeview header offset

Format of new executable segment table record:
Offset	Size	Description	(Table 0698)
 00h	WORD	offset in file (shift left by alignment shift to get byte offs)
 02h	WORD	length of image in file (0000h = 64K)
 04h	WORD	segment attributes (see #0699)
 06h	WORD	number of bytes to allocate for segment (0000h = 64K)
Note:	the first segment table entry is entry number 1

Bitfields for segment attributes:
Bit(s)	Description	(Table 0699)
 0	data segment rather than code segment
...

Format of new executable entry table item (list):
Offset	Size	Description	(Table 0700)
 00h	BYTE	number of entry points (00h if end of entry table list)
...

Format of new executable relocation data (immediately follows segment image):
Offset	Size	Description	(Table 0701)
 00h	WORD	number of relocation items
...

Format of new executable resource data:
Offset	Size	Description	(Table 0702)
 00h	WORD	alignment shift count for resource data
...
	 08h  N Resources (see #0703)
Note:	resource type and name strings are stored immediately following the
	  resource table, and are not null-terminated

Format of new executable resource entry:
Offset	Size	Description	(Table 0703)
 00h	WORD	offset in alignment units from start of file to contents of
		the resource data
...

Format of new executable module reference table [one bundle of entries]:
Offset	Size	Description	(Table 0704)
 00h	BYTE	number of records in this bundle (00h if end of table)
...

Format of new executable resident/nonresident name table entry:
Offset	Size	Description	(Table 0705)
 00h	BYTE	length of string (00h if end of table)
...

Format of Linear Executable (enhanced mode executable) header:
Offset	Size	Description	(Table 0706)
 00h  2 BYTEs	"LE" (4Ch 45h) signature (Windows)
		"LX" (4Ch 58h) signature (OS/2)
...
 10h	DWORD	module type (see #0707)
...
 40h	DWORD	offset of object table (see #0708)
...

Bitfields for Linear Executable module type:
Bit(s)	Description	(Table 0707)
 2	initialization (only for DLLs) 0 = global, 1 = per-process
 4	no internal fixups in executable image
...

Format of object table entry:
Offset	Size	Description	(Table 0708)
 00h	DWORD	virtual size in bytes
 04h	DWORD	relocation base address
 08h	DWORD	object flags (see #0709)
 0Ch	DWORD	page map index
 10h	DWORD	page map entries
 14h  4 BYTEs	reserved??? (apparently always zeros)

Bitfields for object flags:
Bit(s)	Description	(Table 0709)
 0	readable
 1	writable
...

Format of object page map table entry:
Offset	Size	Description	(Table 0710)
 00h	BYTE	??? (usually 00h)
 01h	WORD	(big-endian) index to fixup table
		0000h if no relocation info
 03h	BYTE	type (00h hard copy in file, 03h some relocation needed)

Format of resident names table entry:
Offset	Size	Description	(Table 0711)
 00h	BYTE	length of name
 01h  N BYTEs	name
 N+1  3 BYTEs	???

Format of LE linear executable entry table:
Offset	Size	Description	(Table 0712)
 00h	BYTE	number of entries in table
 01h 10 BYTEs per entry
...

Format of LX linear executable entry table [array]:
Offset	Size	Description	(Table 0713)
 00h	BYTE	number of bundles following (00h = end of entry table)
 01h	BYTE	bundle type
...

Bitfields for linear executable fixup type:
Bit(s)	Description	(Table 0714)
 7	ordinal is BYTE rather than WORD
 6	16-rather than 8-object number/module ordinal
...

Format of linear executable fixup record:
Offset	Size	Description	(Table 0715)
 00h	BYTE	type
		bits 7-4: modifier (0001 single, 0011 multiple)
...
 01h	BYTE	linear executable fixup type (see #0714)
...

Format of old Phar Lap .EXP file header:
Offset	Size	Description	(Table 0716)
 00h  2 BYTEs	"MP" (4Dh 50h) signature
 02h	WORD	remainder of image size / page size (page size = 512h)
...

Format of new Phar Lap .EXP file header:
Offset	Size	Description	(Table 0717)
 00h  2 BYTEs	signature ("P2" for 286 .EXP executable, "P3" for 386 .EXP)
 02h	WORD	level (01h flat-model file, 02h multisegmented file)
...

Format of Phar Lap segment information table entry:
Offset	Size	Description	(Table 0718)
 00h	WORD	selector number
...

Format of 386|DOS-Extender run-time parameters:
Offset	Size	Description	(Table 0719)
 00h  2 BYTEs	signature "DX" (44h 58h)
...

Format of Phar Lap repeat block header:
Offset	Size	Description	(Table 0720)
 00h	WORD	byte count
 02h	BYTE	repeat string length

Format of Borland debugging information header (following load image):
Offset	Size	Description	(Table 0721)
 00h	WORD	signature 52FBh
 02h	WORD	version ID
...
Note:	additional information on the Borland debugging info may be found in
	  Borland's Open Architecture Handbook
--------D-2152-------------------------------
INT 21 U - DOS 2+ internal - "SYSVARS" - GET LIST OF LISTS
	AH = 52h
Return: ES:BX -> DOS list of lists (see #0724)
Notes:	partially supported by OS/2 v1.1 compatibility box (however, most
	  pointers are FFFFh:FFFFh, LASTDRIVE is FFh, and the NUL header "next"
	  pointer is FFFFh:FFFFh).
	partially supported by the Windows NT DOS box; contains only a
	  rudimentary Current Directory Structure (see #0741)
	on return, ES points at the DOS data segment (see also INT 2F/AX=1203h)
	Quarterdeck's suggested check for the use of its DOSDATA.SYS or
	  DOS-UP.SYS is to test whether the list-of-lists segment is greater
	  than the segment of the first memory block; a better check for
	  DOS-UP.SYS is INT 21/AX=2B01h/CX=444Dh
SeeAlso: INT 2F/AX=1203h

Format of List of Lists:
Offset	Size	Description	(Table 0724)
 -24	WORD	(DOS 3.1+) contents of CX from INT 21/AX=5E01h
 -22	WORD	(DOS ???+) LRU counter for FCB caching
...
 -2	WORD	segment of first memory control block
 00h	DWORD	pointer to first Drive Parameter Block (see #0514 at AH=32h)
 04h	DWORD	-> first System File Table (see #0735,#0736,#0737,#0738)
 08h	DWORD	pointer to active CLOCK$ device's header (most recently loaded
		  driver with CLOCK bit set)
...

(Table 0725)
Values for special flag PSP segments:
 0000h	free
 0006h	DR-DOS XMS UMB
...

Format of DOS memory control block (see also below):
Offset	Size	Description	(Table 0726)
 00h	BYTE	block type: 5Ah if last block in chain, otherwise 4Dh
 01h	WORD	PSP segment of owner or special flag value (see #0725)
...
SeeAlso: #0727,#0728,#0729

Format of MS-DOS 5+ UMB control block:
Offset	Size	Description	(Table 0727)
 00h	BYTE	type: 5Ah if last block in chain, 4Dh otherwise
...

Format of STARLITE (General Software's Embedded DOS) memory control block:
Offset	Size	Description	(Table 0728)
 00h	BYTE	block type: 5Ah if last block in chain, otherwise 4Dh
...

Format of DOS 4+ data segment subsegment control blocks:
Offset	Size	Description	(Table 0729)
 00h	BYTE	subsegment type (blocks typically appear in this order)
...

Format of data at start of STACKS code segment (if present):
Offset	Size	Description	(Table 0730)
 00h	WORD	???
...

Format of array elements in STACKS data segment:
Offset	Size	Description	(Table 0731)
 00h	BYTE	status: 00h=free, 01h=in use, 03h=corrupted by overflow of
		  higher stack.
...

Format of SHARE.EXE hooks (DOS 3.1-6.00):
Offset	Size	Description	(Table 0732)
(offsets from first system file table--pointed at by ListOfLists+04h)
-3Ch	DWORD	pointer to FAR routine for ???
...
SeeAlso: #0733,#0734

Format of sharing record:
Offset	Size	Description	(Table 0733)
 00h	BYTE	flag
		00h free block
		01h allocated block
		FFh end marker
...
SeeAlso: #0732,#0734

Format of SHARE.EXE Record Lock Record:
Offset	Size	Description	(Table 0734)
 00h	WORD	offset in SHARE's DS of next lock table in list or 0000h
...
SeeAlso: #0732,#0733,#0735,#0738

Format of DOS 2.x system file tables:
Offset	Size	Description	(Table 0735)
 00h	DWORD	pointer to next file table (offset FFFFh if last)
...
SeeAlso: #0736,#0737,#0738

Format of DOS 3.0 system file tables and FCB tables:
Offset	Size	Description	(Table 0736)
 00h	DWORD	pointer to next file table (offset FFFFh if last)
...
SeeAlso: #0735,#0737,#0738

Format of DOS 3.1-3.3x, DR-DOS 5.0-6.0 system file tables and FCB tables:
Offset	Size	Description	(Table 0737)
 00h	DWORD	pointer to next file table (offset FFFFh if last)
...
SeeAlso: #0735,#0736,#0738

Format of DOS 4.0-6.0 system file tables and FCB tables:
Offset	Size	Description	(Table 0738)
 00h	DWORD	pointer to next file table (offset FFFFh if last)
...
SeeAlso: #0735,#0736,#0737

Format of current directory structure (CDS) (array, LASTDRIVE entries):
Offset	Size	Description	(Table 0739)
 00h 67 BYTEs	ASCIZ path in form X:\PATH (local) or \\MACH\PATH (network)
...
SeeAlso: #0740

Format of DR-DOS 5.0-6.0 current directory structure entry (array):
Offset	Size	Description	(Table 0740)
 00h 67 BYTEs	ASCIZ pathname of actual root directory for this logical drive
...
SeeAlso: #0739

Format of Windows NT Current Directory Structure (CDS) (array):
Offset	Size	Description	(Table 0741)
 00h 67 BYTEs	ASCIZ path in form X:\ (does not show either current directory
		  or network path)
 43h  4 BYTEs	???
Note:	the WinNT CDS contains only as many entries as there are local drives,
	  not LASTDRIVE entries.

Bitfields for device attributes (character device):
Bit(s)	Description	(Table 0742)
 15	set (indicates character device)
...
SeeAlso: #0743,#0744

Bitfields for device attributes (block device):
Bit(s)	Description	(Table 0743)
 15	clear (indicates block device)
...
SeeAlso: #0742,#0744

Format of DOS device driver header:
Offset	Size	Description	(Table 0744)
 00h	DWORD	pointer to next driver, offset=FFFFh if last driver
 04h	WORD	device attributes (see #0742,#0743)
...

Format of CLOCK$ transfer record:
Offset	Size	Description	(Table 0745)
 00h	WORD	number of days since 1-Jan-1980
 02h	BYTE	minutes
 03h	BYTE	hours
 04h	BYTE	hundredths of second
 05h	BYTE	seconds

Format of DOS 2.x disk buffer:
Offset	Size	Description	(Table 0746)
 00h	DWORD	pointer to next disk buffer, offset = FFFFh if last
		least-recently used buffer is first in chain
...
SeeAlso: #0747,#0749,#0750,#0752

Format of DOS 3.x disk buffer:
Offset	Size	Description	(Table 0747)
 00h	DWORD	pointer to next disk buffer, offset = FFFFh if last
		least-recently used buffer is first in chain
...
SeeAlso: #0746,#0749,#0750,#0752

Bitfields for DOS 3.x disk buffer flags:
Bit(s)	Description	(Table 0748)
 7	???
...
SeeAlso: #0753

Format of DOS 4.00 (pre UR 25066) disk buffer info:
Offset	Size	Description	(Table 0749)
 00h	DWORD	pointer to array of disk buffer hash chain heads (see #0751)
...
SeeAlso: #0746,#0747,#0750,#0754

Format of DOS 4.01 (from UR 25066 Corrctive Services Disk on) disk buffer info:
Offset	Size	Description	(Table 0750)
 00h	DWORD	pointer to array of disk buffer hash chain heads (see #0751)
...
SeeAlso: #0746,#0747,#0749,#0754

Format of DOS 4.x disk buffer hash chain head (array, one entry per chain):
Offset	Size	Description	(Table 0751)
 00h	WORD	EMS logical page number in which chain is resident, -1 if not
		  in EMS
...

Format of DOS 4.0-6.0 disk buffer:
Offset	Size	Description	(Table 0752)
 00h	WORD	forward ptr, offset only, to next least recently used buffer
...
SeeAlso: #0746,#0747,#0749

Bitfields for DOS 4.0-6.0 disk buffer flags:
Bit(s)	Description	(Table 0753)
 7	remote buffer
...
SeeAlso: #0748

Format of DOS 5.0-6.0 disk buffer info:
Offset	Size	Description	(Table 0754)
 00h	DWORD	pointer to least-recently-used buffer header (may be in HMA)
		(see #0752)
...
SeeAlso: #0749,#0750

Format of IFS driver list:
Offset	Size	Description	(Table 0755)
 00h	DWORD	pointer to next driver header
...
SeeAlso: #0756,#0757

(Table 0756)
Call IFS utility function entry point with:
	AH = 20h miscellaneous functions
...
SeeAlso: #0755,#0757

Format of IFS request block:
Offset	Size	Description	(Table 0757)
 00h	WORD	total size in bytes of request
...
SeeAlso: #0755,#0756,#0758

Format of IFS open file structure:
Offset	Size	Description	(Table 0758)
 00h	WORD	???
...

Format of one item in DOS 4+ list of special program names:
Offset	Size	Description	(Table 0759)
 00h	BYTE	length of name (00h = end of list)
...
--------D-2159--BX0000-----------------------
INT 21 - DOS 3+ - GET EXTENDED ERROR INFORMATION
	AH = 59h
	BX = 0000h
Return: AX = extended error code (see #0770)
	BH = error class (see #0772)
	BL = recommended action (see #0773)
	CH = error locus (see #0774)
	ES:DI may be pointer (see #0771, error code list below)
	CL, DX, SI, BP, and DS destroyed
...

(Table 0770)
Values for DOS extended error code:
 00h (0)   no error
 01h (1)   function number invalid
 02h (2)   file not found
...

Format of media ID structure:
Offset	Size	Description	(Table 0771)
 00h 12 BYTEs	ASCIZ volume label of required disk
 0Ch	DWORD	serial number (DOS 4+)

(Table 0772)
Values for DOS Error Class:
 01h	out of resource (storage space or I/O channels)
 02h	temporary situation (file or record lock)
...

(Table 0773)
Values for DOS Suggested Action:
 01h	retry
...

(Table 0774)
Values for DOS Error Locus:
 01h	unknown or not appropriate
...
--------D-2159--BX0001-----------------------
INT 21 - European MS-DOS 4.0 - GET HARD ERROR INFORMATION
	AH = 59h
	BX = 0001h
Return: ES:DI -> hard error information packet (see #0775) for most recent
		hard (critical) error
SeeAlso: AH=59h/BX=0000h,AH=95h,INT 24

Format of European MS-DOS 4.0 hard error information packet:
Offset	Size	Description	(Table 0775)
 00h	WORD	contents of AX at system entry
...
--------D-2165-------------------------------
INT 21 - DOS 3.3+ - GET EXTENDED COUNTRY INFORMATION
	AH = 65h
...
	ES:DI -> country information buffer (see #0840)
	CX = size of buffer (>= 5)
Return: CF set on error
	    AX = error code (see #0770 at AH=59h)
...

Format of country information:
Offset	Size	Description	(Table 0840)
 00h	BYTE	info ID
...
 01h	DWORD	pointer to uppercase table (see #0841)
---if info ID = 04h---
 01h	DWORD	pointer to filename uppercase table (see #0842)
---if info ID = 05h---
 01h	DWORD	pointer to filename character table (see #0843)
---if info ID = 06h---
 01h	DWORD	pointer to collating table (see #0844)
---if info ID = 07h (DOS 4+)---
 01h	DWORD	pointer to DBCS lead byte table (see #0845)

Format of uppercase table:
Offset	Size	Description	(Table 0841)
 00h	WORD	table size
 02h 128 BYTEs	uppercase equivalents (if any) of chars 80h to FFh

Format of filename uppercase table:
Offset	Size	Description	(Table 0842)
 00h	WORD	table size
 02h 128 BYTEs	uppercase equivalents (if any) of chars 80h to FFh

Format of filename terminator table:
Offset	Size	Description	(Table 0843)
 00h	WORD	table size (not counting this word)
...

Format of collating table:
Offset	Size	Description	(Table 0844)
 00h	WORD	table size
 02h 256 BYTEs	values used to sort characters 00h to FFh

Format of DBCS lead byte table:
Offset	Size	Description	(Table 0845)
 00h	WORD	length
 02h 2N BYTEs	start/end for N lead byte ranges
	WORD	0000h	(end of table)
--------D-2165-------------------------------
INT 21 - DOS 4+ - COUNTRY-DEPENDENT CHARACTER CAPITALIZATION
	AH = 65h
...
--------D-216523-----------------------------
INT 21 U - DOS 4+ internal - DETERMINE IF CHARACTER REPRESENTS YES/NO RESPONSE
	AX = 6523h
...
--------D-2165-------------------------------
INT 21 U - DOS 4+ internal - COUNTRY-DEPENDENT FILENAME CAPITALIZATION
	AH = 65h
...
--------D-216601-----------------------------
INT 21 - DOS 3.3+ - GET GLOBAL CODE PAGE TABLE
	AX = 6601h
Return: CF set on error
	    AX = error code (see #0770 at AH=59h)
	CF clear if successful
	    BX = active code page (see #0846)
	    DX = system code page (see #0846)
SeeAlso: AX=6602h
--------D-216602-----------------------------
INT 21 - DOS 3.3+ - SET GLOBAL CODE PAGE TABLE
	AX = 6602h
	BX = active code page (see #0846)
	DX = system code page (active page at boot time)
Return: CF set on error
	    AX = error code (see #0770 at AH=59h)
	CF clear if successful
SeeAlso: AX=6601h,INT 2F/AX=14FFh

(Table 0846)
Values for code page:
 437	US
 850	Multilingual
...
----------2F---------------------------------
INT 2F - Multiplex - NOTES
	AH = identifier of program which is to handle the interrupt
...
--------D-30---------------------------------
INT 30 - (NOT A VECTOR!) - DOS 1+ - FAR JMP instruction for CP/M-style calls
   the CALL 5 entry point does a FAR jump to here
...
--------D-31---------------------------------
INT 31 - overwritten by CP/M jump instruction in INT 30
--------r-3F---------------------------------
INT 3F - Microsoft Dynamic Link Library manager
SeeAlso: INT 21/AH=4Bh
--------B-40---------------------------------
INT 40 - DISKETTE - ROM BIOS DISKETTE HANDLER RELOCATED BY HARD DISK BIOS
SeeAlso: INT 13,INT 47"SuperBIOS",INT 63
--------B-41---------------------------------
INT 41 - SYSTEM DATA - HARD DISK 0 PARAMETER TABLE
Note:	the default parameter table array is located at F000h:E401h
...
--------h-42---------------------------------
INT 42 - Z100 - Master 8259 - Timer
SeeAlso: INT 41"Z100",INT 43"Z100"
--------h-43---------------------------------
INT 43 - Z100 - Master 8259 - Slave 8259 input
Note:	slave runs in special fully nested mode
SeeAlso: INT 42"Z100",INT 44"Z100"
--------h-44---------------------------------
INT 44 - Z100 - Master 8259 - Serial A
SeeAlso: INT 43"Z100",INT 45"Z100"
--------h-45---------------------------------
INT 45 - Z100 - Master 8259 - Serial B
SeeAlso: INT 44"Z100",INT 46"Z100"
--------B-46---------------------------------
INT 46 - SYSTEM DATA - HARD DISK 1 DRIVE PARAMETER TABLE
SeeAlso: INT 13/AH=09h,INT 41,INT 60"Adaptec",INT C0"AMI"
--------h-47---------------------------------
INT 47 - Z100 - Master 8259 - Printer
SeeAlso: INT 46"Z100",INT 48"Z100"
--------B-48---------------------------------
INT 48 - KEYBOARD - CORDLESS KEYBOARD TRANSLATION (PCjr)
SeeAlso: INT 49"PCjr"
--------h-49---------------------------------
INT 49 - Z100 - Slave 8259 - S100 vectored line 1
SeeAlso: INT 48"Z100",INT 4A"Z100"
--------h-4A---------------------------------
INT 4A - Z100 - Slave 8259 - S100 vectored line 2
SeeAlso: INT 49"Z100",INT 4B"Z100"
--------h-4B---------------------------------
INT 4B - Z100 - Slave 8259 - S100 vectored line 3
SeeAlso: INT 4A"Z100",INT 4C"Z100"
--------h-4C---------------------------------
INT 4C - Z100 - Slave 8259 - S100 vectored line 4
SeeAlso: INT 4B"Z100",INT 4D"Z100"
--------h-4D---------------------------------
INT 4D - Z100 - Slave 8259 - S100 vectored line 5
SeeAlso: INT 4C"Z100",INT 4E"Z100"
--------h-4E---------------------------------
INT 4E - Z100 - Slave 8259 - S100 vectored line 6
SeeAlso: INT 4D"Z100",INT 4F"Z100"
--------h-4F---------------------------------
INT 4F - Z100 - Slave 8259 - S100 vectored line 7
SeeAlso: INT 4E"Z100"
--------N-50---------------------------------
INT 50 - TIL Xpert AIM (X.25)
	AH = function
--------H-51---------------------------------
INT 51 - IRQ1 relocated by OS/2 v1.x
SeeAlso: INT 50"OS/2",INT 54"OS/2"
--------H-5F---------------------------------
INT 5F - IRQ7 relocated by DoubleDOS
SeeAlso: INT 0F,INT 5E"DoubleDOS"
--------*-60---------------------------------
INT 60 - reserved for user interrupt
--------*-61---------------------------------
INT 61 - reserved for user interrupt
--------N-6F---------------------------------
INT 6F - Novell NetWare - PCOX API (3270 PC terminal interface)
	AX = function
...
--------H-70---------------------------------
INT 70 - IRQ8 - CMOS REAL-TIME CLOCK
Desc:	this interrupt is called when the real-time clock chip generates an
...
--------H-71---------------------------------
INT 71 - IRQ9 - REDIRECTED TO INT 0A BY BIOS
Notes:	may be masked by setting bit 1 on I/O port A1h
...
--------V-7F---------------------------------
INT 7F - IBM XGA - ???
----------80---------------------------------
INT 80 - Q-PRO4 - ???
--------N-81---------------------------------
INT 81 - IBM TOKEN RING ADAPTER - ???
SeeAlso: INT 82"TOKEN RING",INT 91"TOKEN RING"
--------r-82---------------------------------
INT 82 - reserved for BASIC
SeeAlso: INT 81"BASIC",INT 83"BASIC"
--------r-83---------------------------------
INT 83 - reserved for BASIC
SeeAlso: INT 82"BASIC",INT 84"BASIC"
--------r-84---------------------------------
INT 84 - reserved for BASIC
SeeAlso: INT 83"BASIC",INT 85"BASIC"
--------r-85---------------------------------
INT 85 - reserved for BASIC
Note:	INT 80 through INT ED are modified but not restored by Direct Access
...
--------N-86---------------------------------
INT 86 - NetBIOS - ORIGINAL INT 18
Note:	some implementations of NetBIOS reportedly relocate INT 18 here
SeeAlso: INT 18
--------r-87---------------------------------
INT 87 - APL*PLUS/PC - ???
SeeAlso: INT 86"APL",INT 88/AL=00h
--------r-88--00-----------------------------
INT 88 - APL*PLUS/PC - CREATE OBJECT OF ARBITRARY RANK OR SHAPE
	AL = 00h
...
--------r-89---------------------------------
INT 89 - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC
...
--------r-8A---------------------------------
INT 8A - APL*PLUS/PC - PRINT SCREEN
Note:	same as INT 05
SeeAlso: INT 05,INT 8C"APL",INT CA"APL"
--------r-8B---------------------------------
INT 8B - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC
...
--------r-8C---------------------------------
INT 8C - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
...
--------r-8D---------------------------------
INT 8D - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
	BASIC.COM/BASICA.COM do not restore vector on termination
--------r-8E---------------------------------
INT 8E - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
	BASIC.COM/BASICA.COM do not restore vector on termination
--------r-8F---------------------------------
INT 8F - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
	BASIC.COM/BASICA.COM do not restore vector on termination
--------r-90---------------------------------
INT 90 - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
	BASIC.COM/BASICA.COM do not restore vector on termination
--------r-90---------------------------------
INT 90 - APL*PLUS/PC - USED BY PORT 10 PRINTER DRIVER
--------r-A0---------------------------------
INT A0 - APL*PLUS/PC - USED BY APL/GSS*CGI GRAPHICS INTERFACE
SeeAlso: INT 59
--------r-B0---------------------------------
INT B0 - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
	BASIC.COM/BASICA.COM do not restore vector on termination
--------r-C0---------------------------------
INT C0 - IBM ROM BASIC - used while in interpreter
Notes:	called by ROM BASIC, but pointed at IRET by BASIC.COM/BASICA.COM
...
--------r-CF---------------------------------
INT CF - APL*PLUS/PC - DEFAULT LOW-RESOLUTION TIMER FOR QUAD MF FUNCTION
SeeAlso: INT E0"APL"
--------r-D0---------------------------------
INT D0 - STSC APL*PLUS/PC - MAY BE USED IN FUTURE RELEASES
--------r-E0---------------------------------
INT E0 - APL*PLUS/PC - RESTIME HIGH-RESOLUTION TIMER FOR QUAD MF FUNCTION
SeeAlso: INT CF"APL"
--------r-F0---------------------------------
INT F0 - BASICA.COM, GWBASIC, compiled BASIC - ORIGINAL INT 08 VECTOR
Note:	BASICA.COM does not restore vector on termination
SeeAlso: INT EF"BASIC"
--------*-F1---------------------------------
INT F1 - reserved for user interrupt
--------*-F2---------------------------------
INT F2 - reserved for user interrupt
--------*-F3---------------------------------
INT F3 - reserved for user interrupt
--------*-F4---------------------------------
INT F4 - reserved for user interrupt
--------T-F5---------------------------------
INT F5 - DoubleDOS - ???
--------*-F6---------------------------------
INT F6 - reserved for user interrupt
--------T-F6---------------------------------
INT F6 - DoubleDOS - ???
--------*-F7---------------------------------
INT F7 - reserved for user interrupt
--------T-F8---------------------------------
INT F8 - DoubleDOS - ???
--------*-F9---------------------------------
INT F9 - reserved for user interrupt
--------*-FA---------------------------------
INT FA - reserved for user interrupt
--------*-FB---------------------------------
INT FB - reserved for user interrupt
--------*-FC---------------------------------
INT FC - reserved for user interrupt
--------*-FD---------------------------------
INT FD - reserved for user interrupt
--------G-FE---------------------------------
INT FE - Turbo Debugger 8086 v2.5+ - OVERLAY MANAGER
SeeAlso: INT 3F
--------!---Section--------------------------
Interrupt List, part 11 of 11
This compilation is Copyright (c) 1989,1990,1991,1992,1993,1994 Ralf Brown
--------Q-FF---------------------------------
INT FF U - QEMM-386.SYS v6.0+ - internal
Notes:	requires that a byte in the conventional-memory stub be set to the
	  desired function number (00h through 0Ch)

(Table 2165)
Values for QEMM internal functions:
 00h	reflect back to Virtual86-mode interrupt handler (default)
 01h	???
...
--------v-FF---------------------------------
INT FF - VIRUS - "Violetta" - ???
Note:	used but not chained by virus
SeeAlso: INT E0"VIRUS",INT F1"VIRUS"
--------!---Admin----------------------------
Highest Table Number = 2176
--------!---FILELIST-------------------------
Please redistribute all of the files comprising the interrupt list (listed at
the beginning of the list and in INTERRUP.1ST) unmodified as a group, in a
trio of archives named INTER41A through INTER41C (preferably the original
authenticated PKZIP archives), and the utility programs in a fourth archive
called INTER41D.ZIP

This compilation is Copyright (c) 1989,1990,1991,1992,1993,1994 Ralf Brown
--------!---CONTACT_INFO---------------------
Internet: ralf@telerama.lm.com
UUCP: {uunet,harvard}!telerama.lm.com!ralf
FIDO: Ralf Brown 1:129/26.1
	or post a message to me in the DR_DEBUG echo (I probably won't see it
	unless you address it to me)
CIS:  >INTERNET:ralf@telerama.lm.com
